package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BusinessCommon;

/**
 *sb_armtrainorg
 *
 */
public class Armtrainorg extends BusinessCommon {

    /**  */
	private static final long serialVersionUID = 2687082411345379932L;

    /** 培训机构（院校）名称 */
    @ModelAnnotation(getName="培训机构（院校）名称 ",column = "orgname")
    private String orgname;

    /** *培训机构（院校）地址 */
    @ModelAnnotation(getName="培训机构（院校）地址",column = "orgadd")
    private String orgadd;

    /** 培训用枪支数量 */
    @ModelAnnotation(getName="培训用枪支数量",column = "gunnum")
    private Integer gunnum;

    /** 法定代表人名称 */
    @ModelAnnotation(getName="法定代表人名称",column = "legalname")
    private String legalname;

    /** 法定代表人身份证号 */
    @ModelAnnotation(getName="法定代表人身份证号",column = "legalcardnumber")
    private String legalcardnumber;

    /** 法定代表人手机 */
    @ModelAnnotation(getName="法定代表人手机",column = "legalphone")
    private String legalphone;

    /** 培训内容 */
    @ModelAnnotation(getName="培训内容",column = "traincontext")
    private String traincontext;

    /** 培训场地面积（平方米） */
    @ModelAnnotation(getName="培训场地面积",column = "orgarea")
    private String orgarea;

    /**
     * 资料补正告知书
     */
    @ModelAnnotation(getName="资料补正告知书",column = "info_rar")
    private String infoRar;

    /**
     * 批复意见
     * @return
     */
    @ModelAnnotation(getName="批复意见",column = "replyreason")
    private String replyreason;

    /***
     * 批复附件
     */
    @ModelAnnotation(getName="批复附件",column = "reply_rar")
    private String replyRar;
    /***
     * 批复结果
     */
    @ModelAnnotation(getName="批复结果",column = "reply_state")
    private String replyState;

    /**
     *教员信息
     */
    private Armorgteach armorgteach;

    /**
     * 机构负责人信息
     */
    private Armorgcharge armorgcharge;

    /**
     * 培训负责人信息
     */
    private Armtraincharge armtraincharge;

    /**
     * 法人审核状态
     */
    @ModelAnnotation(getName="武装机构ID",column = "legalcensorstatus")
    private String legalcensorstatus;

    public String getLegalcensorstatus() {
        return legalcensorstatus;
    }

    public void setLegalcensorstatus(String legalcensorstatus) {
        this.legalcensorstatus = legalcensorstatus;
    }

    public String getOrgarea() {
        return orgarea;
    }

    public void setOrgarea(String orgarea) {
        this.orgarea = orgarea;
    }

    public Armorgteach getArmorgteach() {
        return armorgteach;
    }

    public void setArmorgteach(Armorgteach armorgteach) {
        this.armorgteach = armorgteach;
    }

    public Armorgcharge getArmorgcharge() {
        return armorgcharge;
    }

    public void setArmorgcharge(Armorgcharge armorgcharge) {
        this.armorgcharge = armorgcharge;
    }

    public Armtraincharge getArmtraincharge() {
        return armtraincharge;
    }

    public void setArmtraincharge(Armtraincharge armtraincharge) {
        this.armtraincharge = armtraincharge;
    }

    public String getInfoRar() {
        return infoRar;
    }

    public void setInfoRar(String infoRar) {
        this.infoRar = infoRar;
    }

    public String getReplyRar() {
        return replyRar;
    }

    public void setReplyRar(String replyRar) {
        this.replyRar = replyRar;
    }

    public String getReplyreason() {
        return replyreason;
    }

    public void setReplyreason(String replyreason) {
        this.replyreason = replyreason;
    }

    public String getReplyState() {
        return replyState;
    }

    public void setReplyState(String replyState) {
        this.replyState = replyState;
    }

    /**
     *
     * 获取  培训机构（院校）名称
     *
     * @return  orgname
     */
    public String getOrgname() {
        return orgname;
    }

    /**
     *
     * 设置  培训机构（院校）名称
     *
     * @param orgname
     */
    public void setOrgname(String orgname) {
        this.orgname = orgname == null ? null : orgname.trim();
    }

    /**
     *
     * 获取  *培训机构（院校）地址
     *
     * @return  orgadd
     */
    public String getOrgadd() {
        return orgadd;
    }

    /**
     *
     * 设置  *培训机构（院校）地址
     *
     * @param orgadd
     */
    public void setOrgadd(String orgadd) {
        this.orgadd = orgadd == null ? null : orgadd.trim();
    }

    /**
     *
     * 获取  培训用枪支数量
     *
     * @return  gunnum
     */
    public Integer getGunnum() {
        return gunnum;
    }

    /**
     *
     * 设置  培训用枪支数量
     *
     * @param gunnum
     */
    public void setGunnum(Integer gunnum) {
        this.gunnum = gunnum;
    }

    /**
     *
     * 获取  法定代表人名称
     *
     * @return  legalname
     */
    public String getLegalname() {
        return legalname;
    }

    /**
     *
     * 设置  法定代表人名称
     *
     * @param legalname
     */
    public void setLegalname(String legalname) {
        this.legalname = legalname == null ? null : legalname.trim();
    }

    /**
     *
     * 获取  法定代表人身份证号
     *
     * @return  legalcardnumber
     */
    public String getLegalcardnumber() {
        return legalcardnumber;
    }

    /**
     *
     * 设置  法定代表人身份证号
     *
     * @param legalcardnumber
     */
    public void setLegalcardnumber(String legalcardnumber) {
        this.legalcardnumber = legalcardnumber == null ? null : legalcardnumber.trim();
    }

    /**
     *
     * 获取  法定代表人手机
     *
     * @return  legalphone
     */
    public String getLegalphone() {
        return legalphone;
    }

    /**
     *
     * 设置  法定代表人手机
     *
     * @param legalphone
     */
    public void setLegalphone(String legalphone) {
        this.legalphone = legalphone == null ? null : legalphone.trim();
    }

    /**
     *
     * 获取  培训内容
     *
     * @return  traincontext
     */
    public String getTraincontext() {
        return traincontext;
    }

    /**
     *
     * 设置  培训内容
     *
     * @param traincontext
     */
    public void setTraincontext(String traincontext) {
        this.traincontext = traincontext == null ? null : traincontext.trim();
    }


}